Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027021
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-07-04 19:352014-08-08 18:53
ReporterjecharriView Statuspublic 
Assigned Todbaz 
PriorityhighResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revisionf3db9d25ead9
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027021: Times are not having a correct behavior with format "MM/dd/yyyy hh:mm a"

DescriptionTimes are not having a correct behavior with format "MM/dd/yyyy hh:mm a"
Steps To ReproduceEdit Openbravo.properties file and change the dateTimeFormat to:
dateTimeFormat.java=MM/dd/yyyy hh:mm a

After compiling the environment, go to Process request window:
-verify that now the time is 9:00 AM or 9:00 PM

The problem is:
if an 'a' is entered the value is automatically converted to AM
if a 'p' is entered the value is automatically converted to PM
if a 'aM' is entered the value is automatically converted to AM
but if if a 'pM' is entered the value is automatically converted to AM, while it should be converted to PM

If you write "am" or "pm" the behavior is correct
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0068558)
dbaz (developer)
2014-07-08 16:24

Reported to Isomorphic

http://forums.smartclient.com/showthread.php?p=121864#post121864 [^]
(0068642)
hgbot (developer)
2014-07-15 14:48

Repository: erp/devel/pi
Changeset: f3db9d25ead92c584b54ff4da2077c2d2c5ef04d
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue Jul 15 14:47:41 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f3db9d25ead92c584b54ff4da2077c2d2c5ef04d [^]

Fixed issue 27021: 'pM' now is captured as 'PM' in Time items

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/isomorphic/ISC_Combined.js
---
(0068643)
hgbot (developer)
2014-07-15 14:48

Repository: erp/mods/org.openbravo.userinterface.smartclient.dev
Changeset: 6e1c0483bf835bf3c0a4a69913d7ec6d4d7a3867
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue Jul 15 14:48:11 2014 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.userinterface.smartclient.dev/rev/6e1c0483bf835bf3c0a4a69913d7ec6d4d7a3867 [^]

Modified Smartclient 10.0d 2014-02-13 SNAPSHOT to fix issue 27021

---
M web/org.openbravo.userinterface.smartclient/isomorphic/client/language/Time.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/development/ISC_Core.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/modules-debug/ISC_Core.js
M web/org.openbravo.userinterface.smartclient/isomorphic/system/modules/ISC_Core.js
---
(0068688)
shankarb (developer)
2014-07-17 07:56

Code reviewed and verified in pi changeset 7079b464de92
(0069162)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-04 19:35 jecharri New Issue
2014-07-04 19:35 jecharri Assigned To => AugustoMauch
2014-07-04 19:35 jecharri Web browser => Google Chrome
2014-07-04 19:35 jecharri Modules => Core
2014-07-04 19:35 jecharri Triggers an Emergency Pack => No
2014-07-07 07:58 alostale Assigned To AugustoMauch => dbaz
2014-07-08 16:24 dbaz Note Added: 0068558
2014-07-15 14:46 dbaz Review Assigned To => shankarb
2014-07-15 14:46 dbaz Web browser Google Chrome => Google Chrome
2014-07-15 14:47 dbaz Issue Monitored: shankarb
2014-07-15 14:48 hgbot Checkin
2014-07-15 14:48 hgbot Note Added: 0068642
2014-07-15 14:48 hgbot Status new => resolved
2014-07-15 14:48 hgbot Resolution open => fixed
2014-07-15 14:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f3db9d25ead92c584b54ff4da2077c2d2c5ef04d [^]
2014-07-15 14:48 hgbot Checkin
2014-07-15 14:48 hgbot Note Added: 0068643
2014-07-17 07:56 shankarb Note Added: 0068688
2014-07-17 07:56 shankarb Status resolved => closed
2014-07-17 07:56 shankarb Fixed in Version => PR14Q4
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069162


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker